
QGIS Application - Bug report #8526

complex/big geometry crashes qgis 32bit on load. Works ok on qgis 64 bit and Linux qgis 32/64bit

2013-08-29 02:08 AM - Giovanni Manghi

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 17282

Description

Offending geometry here:

https://www.dropbox.com/s/nvn2xwe5b4er3xi/crash_win_qgis32.zip

Tested on master.

History

#1 - 2013-11-21 11:42 PM - Matthias Kuhn

May be related to the old Qt version shipped on windows 32 bit.

#2 - 2014-02-12 10:05 AM - Jürgen Fischer

- Status changed from Open to Feedback

download is gone.

#3 - 2014-02-13 11:18 AM - Giovanni Manghi

Jürgen Fischer wrote:

download is gone.

ouch, will try to recover that.

#4 - 2014-02-14 08:08 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

tested again on Windows/master 32bit and the issue seems gone.
